Subject: bug#8736: chmod -p --parents

From: Jérémy Compostella <[email-masked]>
Date: Thu, 23 Feb 2012 20:05:09 +0100

OK, I understand. My answers to both questions:

1. why not do it some other way?

First, it is very convenient to do it that way because it is very simple
and it is more consistent with other commands that already provide it:

$ mkdir -p a/b/c d/e
$ chmod g+w -p a/b/c d/e

IMHO, the way like the one you propose misses the consistency point.

Don't misunderstand me, I don't want to force a new feature if someone
has a pertinent argument to oppose to. But this one has already been
proposed by other people and I really think it is worth to have it too.

2. Is this too specialized to merit an option?

I don't think so. This option already exists for other commands like
`mkdir' and `cp' to deserve the same purpose.

Cheers,

Jérémy